#!/bin/bash

clear

if [ "$UID" != "0" ];then
	echo "*****************************************************************************"
	echo "This un-installation script requires you to run it with administration rights"
	echo "*****************************************************************************"
	echo ""
	echo "----------------------------------------------------------"
	echo "Please enter your password bellow or press ctrl+c to abort"
	echo ""
	sudo $0
	exit
fi

clear
echo "********************************************************************"
echo "The VipRiser un-installation script will do the following"
echo "********************************************************************"
echo ""
echo "- remove vipriser files in:"
echo " /usr/share/cups/model"
echo " /usr/libexec/cups/backend"
echo " /Library/Printers/PPDs/Contents/Resources"
echo " /Library/Printers/Icons"
echo ""
echo "- stop the VipRiser agent"
echo "- remove printer 'Print to VipRiser'"
echo ""
echo "--------------------------------------------------------------------"
echo "press any key if you wish to continue, otherwise ctrl+c to abort"

read DD
clear
echo "======================================="

rm /usr/share/cups/model/vipriser*
rm /usr/libexec/cups/backend/vipriser*
rm /Library/Printers/PPDs/Contents/Resources/vipriser*
rm /Library/Printers/Icons/vipriser.icns

LOGGEDUSERS=`who | grep console | awk '{ print $1 }'`
for CURRUSER in $LOGGEDUSERS
do
    su -l $CURRUSER -c 'launchctl unload /Library/LaunchAgents/com.onflapp.VipRiserAgent.plist' 2>/dev/null
done

rm /Library/LaunchAgents/com.onflapp.VipRiserAgent.plist

Z=`lpstat -p | grep -w Print_to_VipRiser`
if [ -n "$Z" ];then
	/usr/sbin/lpadmin -x "Print_to_VipRiser"
fi

echo "======================================="
echo ""
echo ""
echo "the un-installation script has finished"
echo ""
echo "NOTE: any errors apearing above, may indicate some of the un-installation steps may have been done already"
echo "OR the VipRiser may have not been installed properly in the first place"
echo "therefore you can generally ingore these errors"
echo ""
echo "--------------------------------------"
echo "Thanks for using VipRiser,"
echo "press any key to terminate this script"

read DD
